//
//  PatternModel.h
//
//  Created by Dan Grassi on 7/8/11.
//  Copyright 2011 Zaph, LLC. All rights reserved.
//

#import <Foundation/Foundation.h>

@class Tower;

@interface PatternModel : NSObject

@property (nonatomic, readonly) NSUInteger towerCount;
@property (nonatomic, readonly) double fieldRMS;
@property (nonatomic, readonly) float fieldMax;
@property (nonatomic, readonly) Tower* lastTower;
@property (nonatomic, strong)   NSMutableArray *towers;


- (void)addTower:(Tower *)tower;
- (void)removeTower:(Tower *)tower;
- (Tower *)towerNumber:(NSUInteger)number;
- (NSUInteger)indexOfTower:(Tower *)tower;

- (NSMutableArray *)createPatternPoints;

- (void)calculateRMSField;
- (void)normalizeFields;

@end
